SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- w

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - h -

- httpc_conn_close() : httpc.h
- httpc_conn_connect() : httpc.h
- httpc_conn_dump_header() : httpc.h
- httpc_conn_free() : httpc.h
- httpc_conn_new() : httpc.h
- httpc_conn_setup_user_password() : httpc.h
- HTTPC_DEBUG_OFF : httpc.h
- HTTPC_DEBUG_ON : httpc.h
- HTTPC_DEBUG_VERBOSE : httpc.h
- httpc_free() : httpc.h
- httpc_request_write_data() : httpc.h
- httpc_request_write_header() : httpc.h
- httpc_request_write_header_finish() : httpc.h
- httpc_request_write_header_start() : httpc.h
- httpc_response_get_header_field() : httpc.h
- httpc_response_is_status() : httpc.h
- httpc_response_read_data() : httpc.h
- httpc_response_read_header() : httpc.h
- HTTPC_SECURE_NONE : httpc.h
- HTTPC_SECURE_TLS : httpc.h
- httpc_setup_debug() : httpc.h
- HTTPC_TLS_MBEDTLS : httpc.h
- HTTPC_TLS_POLARSSL : httpc.h
- httpd_clear_page_callbacks() : httpd.h
- httpd_conn_close() : httpd.h
- httpd_conn_dump_header() : httpd.h
- HTTPD_DEBUG_OFF : httpd.h
- HTTPD_DEBUG_ON : httpd.h
- HTTPD_DEBUG_VERBOSE : httpd.h
- httpd_free() : httpd.h
- httpd_reg_page_callback() : httpd.h
- httpd_request_get_header_field() : httpd.h
- httpd_request_get_query_key() : httpd.h
- httpd_request_is_method() : httpd.h
- httpd_request_read_data() : httpd.h
- httpd_request_read_header() : httpd.h
- httpd_response_bad_request() : httpd.h
- httpd_response_internal_server_error() : httpd.h
- httpd_response_method_not_allowed() : httpd.h
- httpd_response_not_found() : httpd.h
- httpd_response_too_many_requests() : httpd.h
- httpd_response_unauthorized() : httpd.h
- httpd_response_write_data() : httpd.h
- httpd_response_write_header() : httpd.h
- httpd_response_write_header_finish() : httpd.h
- httpd_response_write_header_start() : httpd.h
- HTTPD_SECURE_NONE : httpd.h
- HTTPD_SECURE_TLS : httpd.h
- HTTPD_SECURE_TLS_VERIFY : httpd.h
- httpd_setup_cert() : httpd.h
- httpd_setup_debug() : httpd.h
- httpd_setup_user_password() : httpd.h
- httpd_start() : httpd.h
- httpd_stop() : httpd.h
- HTTPD_THREAD_MULTIPLE : httpd.h
- HTTPD_THREAD_SINGLE : httpd.h
- HTTPD_TLS_MBEDTLS : httpd.h
- HTTPD_TLS_POLARSSL : httpd.h